## ceilometer 2014.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

alembic>=0.6.4
anyjson>=0.3.3
argparse
croniter>=0.3.4 # MIT License
eventlet>=0.15.1
happybase>=0.5,!=0.7
iso8601>=0.1.9
jsonpath-rw>=1.2.0,<2.0
jsonschema>=2.0.0,<3.0.0
keystonemiddleware>=1.0.0
lockfile>=0.8
lxml>=2.3
msgpack-python>=0.4.0
netaddr>=0.7.12
ordereddict
oslo.db>=1.0.0  # Apache-2.0
oslo.config>=1.4.0  # Apache-2.0
oslo.rootwrap>=1.3.0
oslo.vmware>=0.6.0                      # Apache-2.0
PasteDeploy>=1.5.0
pbr>=0.6,!=0.7,<1.0
pecan>=0.5.0
posix_ipc
oslo.messaging>=1.4.0
oslo.serialization>=1.0.0               # Apache-2.0
oslo.utils>=1.0.0                       # Apache-2.0
pysnmp>=4.2.1,<5.0.0
python-ceilometerclient>=1.0.6
python-glanceclient>=0.14.0
python-keystoneclient>=0.10.0
python-neutronclient>=2.3.6,<3
python-novaclient>=2.18.0
python-swiftclient>=2.2.0
pytz
PyYAML>=3.1.0
requests>=1.2.1,!=2.4.0
six>=1.7.0
SQLAlchemy>=0.8.4,<=0.8.99,>=0.9.7,<=0.9.99
sqlalchemy-migrate>=0.9.1,!=0.9.2
stevedore>=1.0.0  # Apache-2.0
tooz>=0.3 # Apache-2.0
WebOb>=1.2.3
WSME>=0.6

=== debian/control ===
Source: ceilometer
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 alembic (>= 0.6.4),
 debhelper (>= 8.0.0),
 python-alembic (>= 0.6.4),
 python-all (>= 2.6),
 python-anyjson (>= 0.3.3),
 python-babel (>= 1.3),
 python-ceilometerclient (>= 1.0.6),
 python-coverage (>= 3.6),
 python-croniter (>= 0.3.4),
 python-docutils,
 python-eventlet (>= 0.13.0),
 python-fixtures (>= 0.3.14),
 python-glanceclient (>= 1:0.14.0),
 python-hacking (>= 0.9.2),
 python-happybase (>= 0.5),
 python-httplib2 (>= 0.7.5),
 python-iso8601 (>= 0.1.9),
 python-jsonpath-rw (>= 1.2.0),
 python-jsonschema (>= 2.0.0),
 python-keystoneclient (>= 1:0.10.0),
 python-keystonemiddleware (>= 1.0.0),
 python-lockfile (>= 0.8),
 python-lxml (>= 2.3),
 python-migrate (>= 0.9.1),
 python-mock (>= 1.0),
 python-mox (>= 0.5.3),
 python-msgpack (>= 0.4.0),
 python-mysqldb,
 python-netaddr (>= 0.7.12),
 python-neutronclient (>= 1:2.3.6),
 python-nose,
 python-novaclient (>= 1:2.18.0),
 python-oslo.config (>= 1:1.4.0),
 python-oslo.db (>= 1.0.0),
 python-oslo.messaging (>= 1.4.0),
 python-oslo.rootwrap (>= 1.3.0),
 python-oslo.serialization (>= 1.0.0),
 python-oslo.utils (>= 1.0.0),
 python-oslo.vmware (>= 0.6.0),
 python-oslosphinx (>= 2.2.0),
 python-oslotest (>= 1:1.1.0),
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 0.6),
 python-pecan (>= 0.5.0),
 python-posix-ipc,
 python-pymongo (>= 2.5),
 python-pysnmp4 (>= 4.2.1),
 python-requests (>= 1.2.1),
 python-six (>= 1.7.0),
 python-sphinx (>= 1.1.2),
 python-sqlalchemy (>= 0.8.4),
 python-stevedore (>= 1.0.0),
 python-subunit (>= 0.0.18),
 python-swiftclient (>= 2.2.0),
 python-testrepository (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 0.9.34),
 python-tooz (>= 0.3),
 python-tz (>= 2010h),
 python-webob (>= 1.2.3),
 python-wsme (>= 0.6),
 python-yaml (>= 3.1.0),
 subunit,
 testrepository (>= 0.0.18)
Standards-Version: 3.9.5
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/ceilometer/juno/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/ceilometer/juno

Package: python-ceilometer
Architecture: all
Depends:
 alembic (>= 0.6.4),
 python-alembic (>= 0.6.4),
 python-anyjson (>= 0.3.3),
 python-ceilometerclient (>= 1.0.6),
 python-croniter (>= 0.3.4),
 python-eventlet (>= 0.13.0),
 python-glanceclient (>= 1:0.14.0),
 python-happybase (>= 0.5),
 python-iso8601 (>= 0.1.9),
 python-jsonpath-rw (>= 1.2.0),
 python-jsonschema (>= 2.0.0),
 python-keystoneclient (>= 1:0.10.0),
 python-keystonemiddleware (>= 1.0.0),
 python-lockfile (>= 0.8),
 python-lxml (>= 2.3),
 python-migrate (>= 0.9.1),
 python-msgpack (>= 0.4.0),
 python-netaddr (>= 0.7.12),
 python-neutronclient (>= 1:2.3.6),
 python-novaclient (>= 1:2.18.0),
 python-oslo.config (>= 1:1.4.0),
 python-oslo.db (>= 1.0.0),
 python-oslo.messaging (>= 1.4.0),
 python-oslo.rootwrap (>= 1.3.0),
 python-oslo.serialization (>= 1.0.0),
 python-oslo.utils (>= 1.0.0),
 python-oslo.vmware (>= 0.6.0),
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 0.6),
 python-pecan (>= 0.5.0),
 python-posix-ipc,
 python-pysnmp4 (>= 4.2.1),
 python-requests (>= 1.2.1),
 python-six (>= 1.7.0),
 python-sqlalchemy (>= 0.8.4),
 python-stevedore (>= 1.0.0),
 python-swiftclient (>= 2.2.0),
 python-tooz (>= 0.3),
 python-tz (>= 2010h),
 python-webob (>= 1.2.3),
 python-wsme (>= 0.6),
 python-yaml (>= 3.1.0),
 ${misc:Depends},
 ${python:Depends}
Description: ceilometer python libraries
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be tracable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the python libraries that are needed for all parts
 of ceilometer

Package: ceilometer-common
Architecture: all
Depends:
 adduser,
 python-ceilometer (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Provides: ${python:Provides}
Description: ceilometer common files
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be tracable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of ceilometer

Package: ceilometer-collector
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Suggests: mongodb
Description: ceilometer collector service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be tracable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the collector service

Package: ceilometer-api
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Suggests: mongodb
Description: ceilometer api service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be tracable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 This package contains the api service

Package: ceilometer-agent-compute
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: ceilometer compute agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be tracable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the compute agent

Package: ceilometer-agent-central
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: ceilometer central agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be tracable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the central agent.

Package: ceilometer-agent-ipmi
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ipmitool,
 ${misc:Depends},
 ${python:Depends}
Description: ceilometer ipmi agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be tracable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the ipmi agent.

Package: ceilometer-agent-notification
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: ceilometer notification agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be tracable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the notification agent.

Package: ceilometer-alarm-evaluator
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: Ceilometer alarm evaluator
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be tracable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm evaluator daemon.

Package: ceilometer-alarm-notifier
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: Ceilometer notification agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be tracable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm notifier daemon.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export HOME="$(CURDIR)/debian/test"

%:
	dh $@  --with python2

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	rm -rf .testrepository
	testr init && \
	set -e && \
		TEMP_REZ=`mktemp -t` && \
			testr run --subunit 'tests\.(?!.*test_bin.*)' | tee $$TEMP_REZ | subunit2pyunit; \
	rm -f $$TEMP_REZ 
endif

override_dh_install:
	bash tools/config/generate_sample.sh -b . -p ceilometer -o etc/ceilometer
	patch -p0 < debian/patches/default-config.patch
	cp etc/ceilometer/ceilometer.conf.sample etc/ceilometer/ceilometer.conf
	dh_install --fail-missing

override_dh_auto_clean:
	dh_auto_clean
	rm -f etc/ceilometer/ceilometer.conf etc/ceilometer/ceilometer.conf.sample
	rm -rf .testrepository
	rm -rf pbr*.egg

## ceilometer 2014.2.2

=== requirements.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 anyjson>=0.3.3
 argparse
 croniter>=0.3.4 # MIT License
-eventlet>=0.15.1
+eventlet>=0.15.1,<0.16.0
 happybase>=0.5,!=0.7
 iso8601>=0.1.9
 jsonpath-rw>=1.2.0,<2.0
@@ -17,15 +17,15 @@
 msgpack-python>=0.4.0
 netaddr>=0.7.12
 ordereddict
-oslo.db>=1.0.0  # Apache-2.0
+oslo.db>=1.0.0,<1.1  # Apache-2.0
 oslo.config>=1.4.0  # Apache-2.0
 oslo.rootwrap>=1.3.0
-oslo.vmware>=0.6.0                      # Apache-2.0
+oslo.vmware>=0.6.0,<0.9.0               # Apache-2.0
 PasteDeploy>=1.5.0
 pbr>=0.6,!=0.7,<1.0
 pecan>=0.5.0
 posix_ipc
-oslo.messaging>=1.4.0
+oslo.messaging>=1.4.0,!=1.5.0,<1.6.0
 oslo.serialization>=1.0.0               # Apache-2.0
 oslo.utils>=1.0.0                       # Apache-2.0
 pysnmp>=4.2.1,<5.0.0
@@ -39,8 +39,8 @@
 PyYAML>=3.1.0
 requests>=1.2.1,!=2.4.0
 six>=1.7.0
-SQLAlchemy>=0.8.4,<=0.8.99,>=0.9.7,<=0.9.99
-sqlalchemy-migrate>=0.9.1,!=0.9.2
+SQLAlchemy>=0.8.4,<=0.9.99,!=0.9.0,!=0.9.1,!=0.9.2,!=0.9.3,!=0.9.4,!=0.9.5,!=0.9.6
+sqlalchemy-migrate==0.9.1
 stevedore>=1.0.0  # Apache-2.0
 tooz>=0.3 # Apache-2.0
 WebOb>=1.2.3

=== debian/changelog ===
ceilometer (2014.2.2-0ubuntu2) utopic; urgency=medium

  [ Corey Bryant ]
  * /d/p/mongodb-autoreconnect.patch: Dropped as it is breaking
    ceilometer-dbsync (LP: #1421663).

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 13 Feb 2015 15:28:25 -0500

ceilometer (2014.2.2-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (146039e) (LP: #1418695):
    - [d526270] [DB2 nosql] Create TIMESTAMP type index for 'timestamp' field
    - [33e7fd8] Combined fixes for ipmitool, timeutils, and read from stderr
    - [146039e] Do not print snmpd password in logs
  * d/p/fix-requirements.patch: Rebased.
  * d/p/mongodb-autoreconnect.patch: Cherry picked from
    https://review.openstack.org/#/c/137133/
  * d/control: Bump minimum python-eventlet to get socket_timeout support.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Feb 2015 14:57:33 -0500

ceilometer (2014.2.1-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (b1fca33) (LP: #1398952):
    - [43718e8] Internal error with period overflow
    - [37e593e] Validate AdvEnum & return an InvalidInput on error
    - [3489129] Fix signature validation failure when using qpid message queue
    - [5879dbe] Change event type for identity trust notifications
    - [638c66c] Add timeout to all http requests
    - [d3bcd14] Database.max_retries only override on sqlalchemy side
    - [ca52652] Add encoding to keys in compute_signature
    - [48a2957] Add user_metadata to network samples
    - [b545b27] fix swift middleware parsing
    - [1324ab7] Fixes Hyper-V Inspector disk metrics cache issue
    - [470ba0a] Sync strutils from oslo-incubator for mask_password fix
    - [b1fca33] Handle poorly formed individual sensor readings
  * d/p/fix-requirements.txt: Rebased.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 08 Dec 2014 12:53:51 -0500

## ceilometer 2014.2.4

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

alembic<=0.7.4,>=0.6.4
anyjson<=0.3.3,>=0.3.3
argparse
croniter<=0.3.5,>=0.3.4 # MIT License
eventlet<=0.15.2,>=0.15.1
happybase!=0.7,<=0.9,>=0.5
iso8601<=0.1.10,>=0.1.9
jsonpath-rw<2.0,>=1.2.0
jsonschema<3.0.0,>=2.0.0
keystonemiddleware<1.4.0,>=1.0.0
lockfile<=0.8,>=0.8
lxml<=3.3.3,>=2.3
msgpack-python<=0.4.5,>=0.4.0
netaddr<=0.7.13,>=0.7.12
ordereddict<=1.1
oslo.db<1.1,>=1.0.0 # Apache-2.0
oslo.config<=1.6.0,>=1.4.0 # Apache-2.0
oslo.rootwrap<=1.5.0,>=1.3.0
oslo.vmware<0.9.0,>=0.6.0 # Apache-2.0
PasteDeploy<=1.5.2,>=1.5.0
pbr!=0.7,<1.0,>=0.6
pecan<=0.8.3,>=0.5.0
posix-ipc<=0.9.9
oslo.messaging<1.5.0,>=1.4.0
oslo.serialization<=1.2.0,>=1.0.0 # Apache-2.0
oslo.utils<1.5.0,>=1.4.0 # Apache-2.0
pysnmp<5.0.0,>=4.2.1
python-ceilometerclient!=1.0.12,!=1.0.13,!=1.0.14,<1.1.0,>=1.0.6
python-glanceclient<0.15.0,>=0.14.0
python-keystoneclient<1.2.0,>=0.10.0
python-neutronclient<2.4.0,>=2.3.6
python-novaclient<=2.20.0,>=2.18.0
python-swiftclient<2.4.0,>=2.2.0
pytz
PyYAML<=3.10,>=3.1.0
requests!=2.4.0,<=2.2.1,>=2.1.0
six<=1.9.0,>=1.7.0
SQLAlchemy!=0.9.0,!=0.9.1,!=0.9.2,!=0.9.3,!=0.9.4,!=0.9.5,!=0.9.6,<=0.9.99,>=0.8.4
sqlalchemy-migrate==0.9.1
stevedore<=1.3.0,>=1.0.0 # Apache-2.0
tooz<0.13,>=0.3 # Apache-2.0
WebOb<=1.3.1,>=1.2.3
WSME<=0.6.4,>=0.6

=== debian/changelog ===
ceilometer (2014.2.4-0ubuntu1~cloud2) trusty-juno; urgency=medium

  * d/p/default-config.patch: Refresh patch to move connection option to
    [database] section. Previous patch apply moved it to wrong section.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 Nov 2015 08:04:50 -0500

ceilometer (2014.2.4-0ubuntu1~cloud1) trusty-juno; urgency=medium

  * d/rules: Prevent dh_python2 from guessing dependencies.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 23 Nov 2015 16:49:27 -0500

ceilometer (2014.2.4-0ubuntu1~cloud0) trusty-juno; urgency=medium

  * Resynchronize with stable/juno (0639d0d) (LP: #1518323):
    - [c7384fb] Remove dependency on sphinxcontrib-docbookrestapi
    - [8204521] remove log message when process notification
    - [981754c] ensure unique list of consumers created
    - [af89612] Add bandwidth to measurements
    - [0df1071] Rely on VM UUID to fetch metrics in libvirt
    - [529b4aa] Retry to connect database when DB2 or mongodb is restarted
    - [0f82c43] fix the value of query_spec.maxSample to advoid to be zero
    - [b3307b1] [MongoDB] Fix bug with reconnection to new master node
    - [1a5848a] stop mocking os.path in test_setup_events_default_config
    - [037bda5] Catch exception when evaluate single alarm
    - [989fac5] metering data ttl sql backend breaks resource metadata
    - [0639d0d] Use alarm's evaluation periods in sufficient test
  * d/p/fix-requirements.patch: Rebase and revert python-oslo.utils to >=1.0.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 20 Nov 2015 09:38:14 -0500

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python-coverage (>= 3.6),
  python-croniter (>= 0.3.4),
  python-docutils,
- python-eventlet (>= 0.13.0),
+ python-eventlet (>= 0.13.0-1ubuntu3.1~),
  python-fixtures (>= 0.3.14),
  python-glanceclient (>= 1:0.14.0),
  python-hacking (>= 0.9.2),
@@ -79,7 +79,7 @@
  python-anyjson (>= 0.3.3),
  python-ceilometerclient (>= 1.0.6),
  python-croniter (>= 0.3.4),
- python-eventlet (>= 0.13.0),
+ python-eventlet (>= 0.13.0-1ubuntu3.1~),
  python-glanceclient (>= 1:0.14.0),
  python-happybase (>= 0.5),
  python-iso8601 (>= 0.1.9),

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,9 @@
 	rm -f $$TEMP_REZ 
 endif
 
+override_dh_python2:
+	dh_python2 --no-guessing-deps
+
 override_dh_install:
 	bash tools/config/generate_sample.sh -b . -p ceilometer -o etc/ceilometer
 	patch -p0 < debian/patches/default-config.patch

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/" \
 http://tarballs.openstack.org/ceilometer ceilometer-(\d.*)\.tar\.gz

## ceilometer 2015.1~rc1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

retrying>=1.2.3,!=1.3.0 # Apache-2.0
alembic>=0.7.2
croniter>=0.3.4 # MIT License
eventlet>=0.16.1,!=0.17.0
iso8601>=0.1.9
jsonpath-rw>=1.2.0,<2.0
jsonschema>=2.0.0,<3.0.0
kafka-python>=0.9.2
keystonemiddleware>=1.5.0
lxml>=2.3
msgpack-python>=0.4.0
oslo.context>=0.2.0,<0.3.0                     # Apache-2.0
oslo.db>=1.7.0,<1.8.0  # Apache-2.0
oslo.concurrency>=1.8.0,<1.9.0         # Apache-2.0
oslo.config>=1.9.3,<1.10.0  # Apache-2.0
oslo.i18n>=1.5.0,<1.6.0  # Apache-2.0
oslo.policy>=0.3.1,<0.4.0  # Apache-2.0
oslo.rootwrap>=1.6.0,<1.7.0  # Apache-2.0
PasteDeploy>=1.5.0
pbr>=0.6,!=0.7,<1.0
pecan>=0.8.0
posix_ipc
oslo.messaging>=1.8.0,<1.9.0  # Apache-2.0
oslo.middleware>=1.0.0,<1.1.0                  # Apache-2.0
oslo.serialization>=1.4.0,<1.5.0               # Apache-2.0
oslo.utils>=1.4.0,<1.5.0                       # Apache-2.0
pysnmp>=4.2.1,<5.0.0
python-ceilometerclient>=1.0.13
python-glanceclient>=0.15.0
python-keystoneclient>=1.1.0
python-neutronclient>=2.3.11,<3
python-novaclient>=2.22.0
python-swiftclient>=2.2.0
pytz>=2013.6
PyYAML>=3.1.0
requests>=2.2.0,!=2.4.0
six>=1.9.0
SQLAlchemy>=0.9.7,<=0.9.99
sqlalchemy-migrate>=0.9.5
stevedore>=1.3.0,<1.4.0  # Apache-2.0
tooz>=0.13.1,<0.14.0 # Apache-2.0
werkzeug>=0.7  # BSD License
WebOb>=1.2.3
WSME>=0.6

=== debian/control ===
Source: ceilometer
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 alembic (>= 0.7.2),
 debhelper (>= 9~),
 dh-systemd,
 openstack-pkg-tools (>= 21ubuntu5~),
 pylint (>= 1.3.0),
 python-alembic (>= 0.7.2),
 python-all (>= 2.6),
 python-anyjson (>= 0.3.3),
 python-babel (>= 1.3),
 python-ceilometerclient (>= 1.0.13),
 python-coverage (>= 3.6),
 python-croniter (>= 0.3.4),
 python-docutils,
 python-eventlet (>= 0.16.1),
 python-fixtures (>= 0.3.14),
 python-glanceclient (>= 1:0.15.0),
 python-hacking (>= 0.10.0),
 python-happybase (>= 0.5),
 python-httplib2 (>= 0.7.5),
 python-iso8601 (>= 0.1.9),
 python-jsonpath-rw (>= 1.2.0),
 python-jsonschema (>= 2.0.0),
 python-keystoneclient (>= 1:1.1.0),
 python-keystonemiddleware (>= 1.5.0),
 python-lockfile (>= 0.8),
 python-lxml (>= 2.3),
 python-migrate (>= 0.9.5),
 python-mock (>= 1.0),
 python-mox (>= 0.5.3),
 python-msgpack (>= 0.4.0),
 python-mysqldb,
 python-neutronclient (>= 1:2.3.11),
 python-nose,
 python-novaclient (>= 1:2.22.0),
 python-oslo-concurrency (>= 1.8.0),
 python-oslo-config (>= 1:1.9.3),
 python-oslo-context (>= 0.2.0),
 python-oslo-db (>= 1.7.0),
 python-oslo-i18n (>= 1.5.0),
 python-oslo-messaging (>= 1.8.0),
 python-oslo-middleware (>= 1.0.0),
 python-oslo-policy (>= 0.3.1),
 python-oslo-rootwrap (>= 1.6.0),
 python-oslo-serialization (>= 1.4.0),
 python-oslo-utils (>= 1.4.0),
 python-oslo-vmware (>= 0.11.1),
 python-oslosphinx (>= 2.2.0),
 python-oslotest (>= 1:1.2.0),
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 0.6),
 python-pecan (>= 0.8.0),
 python-posix-ipc,
 python-psycopg2,
 python-pymongo (>= 2.5),
 python-pysnmp4 (>= 4.2.1),
 python-requests (>= 2.2.0),
 python-retrying (>= 1.2.3),
 python-six (>= 1.9.0),
 python-sphinx (>= 1.1.2),
 python-sqlalchemy (>= 0.9.7),
 python-stevedore (>= 1.3.0),
 python-subunit (>= 0.0.18),
 python-swiftclient (>= 1:2.2.0),
 python-testrepository (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 0.9.36),
 python-tooz (>= 0.13.1),
 python-tz (>= 2013.6),
 python-webob (>= 1.2.3),
 python-werkzeug (>= 0.7),
 python-wsme (>= 0.6),
 python-yaml (>= 3.1.0),
 subunit,
 testrepository (>= 0.0.18)
Standards-Version: 3.9.6
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/ceilometer/kilo/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/ceilometer/kilo

Package: python-ceilometer
Architecture: all
Depends:
 alembic (>= 0.7.2),
 python-alembic (>= 0.7.2),
 python-anyjson (>= 0.3.3),
 python-ceilometerclient (>= 1.0.13),
 python-croniter (>= 0.3.4),
 python-eventlet (>= 0.16.1),
 python-glanceclient (>= 1:0.15.0),
 python-iso8601 (>= 0.1.9),
 python-jsonpath-rw (>= 1.2.0),
 python-jsonschema (>= 2.0.0),
 python-keystoneclient (>= 1:1.1.0),
 python-keystonemiddleware (>= 1.5.0),
 python-lockfile (>= 0.8),
 python-lxml (>= 2.3),
 python-migrate (>= 0.9.5),
 python-msgpack (>= 0.4.0),
 python-neutronclient (>= 1:2.3.11),
 python-novaclient (>= 1:2.22.0),
 python-oslo-concurrency (>= 1.8.0),
 python-oslo-context (>= 0.2.0),
 python-oslo-config (>= 1:1.9.3),
 python-oslo-db (>= 1.7.0),
 python-oslo-i18n (>= 1.5.0),
 python-oslo-messaging (>= 1.8.0),
 python-oslo-middleware (>= 1.0.0),
 python-oslo-policy (>= 0.3.1),
 python-oslo-rootwrap (>= 1.6.0),
 python-oslo-serialization (>= 1.4.0),
 python-oslo-utils (>= 1.4.0),
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 0.6),
 python-pecan (>= 0.8.0),
 python-posix-ipc,
 python-pysnmp4 (>= 4.2.1),
 python-retrying (>= 1.2.3),
 python-requests (>= 2.2.0),
 python-six (>= 1.9.0),
 python-sqlalchemy (>= 0.9.7),
 python-stevedore (>= 1.3.0),
 python-swiftclient (>= 1:2.2.0),
 python-tooz (>= 0.13.1),
 python-tz (>= 2013.6),
 python-webob (>= 1.2.3),
 python-werkzeug (>= 0.7),
 python-wsme (>= 0.6),
 python-yaml (>= 3.1.0),
 ${misc:Depends},
 ${python:Depends}
Description: ceilometer python libraries
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the python libraries that are needed for all parts
 of ceilometer

Package: ceilometer-common
Architecture: all
Depends:
 adduser,
 python-ceilometer (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Provides: ${python:Provides}
Description: ceilometer common files
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of ceilometer

Package: ceilometer-collector
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Suggests: mongodb
Description: ceilometer collector service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the collector service

Package: ceilometer-polling
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Suggests: mongodb
Description: ceilometer polling service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the polling service.

Package: ceilometer-api
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Suggests: mongodb
Description: ceilometer api service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 This package contains the api service

Package: ceilometer-agent-compute
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: ceilometer compute agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the compute agent

Package: ceilometer-agent-central
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: ceilometer central agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the central agent.

Package: ceilometer-agent-ipmi
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ipmitool,
 ${misc:Depends},
 ${python:Depends}
Description: ceilometer ipmi agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the ipmi agent.

Package: ceilometer-agent-notification
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: ceilometer notification agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the notification agent.

Package: ceilometer-alarm-evaluator
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: Ceilometer alarm evaluator
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm evaluator daemon.

Package: ceilometer-alarm-notifier
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: Ceilometer notification agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm notifier daemon.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export HOME="$(CURDIR)/debian/test"

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2,systemd

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	rm -rf .testrepository
	testr init && \
	set -e && \
		TEMP_REZ=`mktemp -t` && \
			testr run --subunit 'tests\.(?!.*test_bin.*)(?!.*test_gabbi.*)' | tee $$TEMP_REZ | subunit2pyunit; \
	rm -f $$TEMP_REZ 
endif

override_dh_install:
	oslo-config-generator --output-file etc/ceilometer/ceilometer.conf.sample \
	    --namespace ceilometer \
		--namespace oslo.db \
		--namespace oslo.messaging \
		--namespace keystonemiddleware.auth_token
#	patch -p0 < debian/patches/default-config.patch
	cp etc/ceilometer/ceilometer.conf.sample etc/ceilometer/ceilometer.conf
	dh_install --fail-missing

override_dh_auto_clean:
	dh_auto_clean
	rm -f etc/ceilometer/ceilometer.conf etc/ceilometer/ceilometer.conf.sample
	rm -rf .testrepository
	rm -rf pbr*.egg
	rm -f debian/*.init debian/*.service debian/*.upstart
